Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class CodecPrintWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.GrailsPrintWriter
              org.codehaus.groovy.grails.web.util.CodecPrintWriter

    public class CodecPrintWriter
    extends GrailsPrintWriter

Field Summary

Fields inherited from class GrailsPrintWriter
CRLF, LOG, allowUnwrappingOut, out, previousOut, streamCharBufferTarget, trouble, usageFlag

Constructor Summary
`CodecPrintWriter(GrailsApplication grailsApplication, java.io.Writer out, java.lang.Class codecClass)`

Method Summary
`GrailsPrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`GrailsPrintWriter` | `append(java.lang.CharSequence csq)`
`GrailsPrintWriter` | `append(java.lang.Object obj)`
`void` | `append(StreamCharBuffer otherBuffer)`
`protected java.lang.Object` | `clone()`
`protected java.io.Writer` | `findStreamCharBufferTarget(boolean markUsed)`
`boolean` | `isUsed()`
`GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
`void` | `print(java.lang.Object obj)` Print an object.
`void` | `print(java.lang.String s)` Print a string.
`void` | `print(StreamCharBuffer otherBuffer)`
`void` | `println(StreamCharBuffer otherBuffer)`
`void` | `setOut(java.io.Writer newOut)`
`void` | `write(java.lang.String s)` Writes a string.
`void` | `write(int c)` Write a single character.
`void` | `write(char[] buf, int off, int len)` Write a portion of an array of characters.
`void` | `write(java.lang.String s, int off, int len)` Write a portion of a string.
`void` | `write(char[] buf)`
`void` | `write(StreamCharBuffer otherBuffer)`
`void` | `write(groovy.lang.Writable writable)`

Methods inherited from class GrailsPrintWriter
append, append, append, append, append, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getOut, isAllowUnwrappingOut, isUsed, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setOut, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Constructor Detail

### CodecPrintWriter

    public CodecPrintWriter(GrailsApplication grailsApplication, java.io.Writer out, java.lang.Class codecClass)

Method Detail

### append

    @Override
    public GrailsPrintWriter append(java.lang.CharSequence csq, int start, int end)

### append

    @Override
    public GrailsPrintWriter append(java.lang.CharSequence csq)

### append

    @Override
    public GrailsPrintWriter append(java.lang.Object obj)

### append

    @Override
    public void append(StreamCharBuffer otherBuffer)

### clone

    @Override
    protected java.lang.Object clone()

### findStreamCharBufferTarget

    @Override
    protected java.io.Writer findStreamCharBufferTarget(boolean markUsed)

### isUsed

    @Override
    public boolean isUsed()

### leftShift

    @Override
    public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

### print

    @Override
    public void print(java.lang.Object obj)

  Print an object. The string produced by the `java.lang.String#valueOf(Object)` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the `write(int)` method.
  Parameters:
    `obj` - The `Object` to be printed
  See Also:
    java.lang.Object#toString()

### print

    @Override
    public void print(java.lang.String s)

  Print a string. If the argument is `null` then the string `""` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the `write(int)` method.
  Parameters:
    `s` - The `String` to be printed

### print

    @Override
    public void print(StreamCharBuffer otherBuffer)

### println

    @Override
    public void println(StreamCharBuffer otherBuffer)

### setOut

    @Override
    public void setOut(java.io.Writer newOut)

### write

    @Override
    public void write(java.lang.String s)

  Writes a string. If the argument is `null` then the string `""` is printed.
  Parameters:
    `s` - The `String` to be printed

### write

    @Override
    public void write(int c)

  Write a single character.
  Parameters:
    `c` - int specifying a character to be written.

### write

    @Override
    public void write(char[] buf, int off, int len)

  Write a portion of an array of characters.
  Parameters:
    `buf` - Array of characters
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    @Override
    public void write(java.lang.String s, int off, int len)

  Write a portion of a string.
  Parameters:
    `s` - A String
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    @Override
    public void write(char[] buf)

### write

    @Override
    public void write(StreamCharBuffer otherBuffer)

### write

    @Override
    public void write(groovy.lang.Writable writable)

Groovy Documentation